
Figure - Bug #117393
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】关闭微信小窗，进recent中点击其进程卡片，无法直接打开微信的登录页面
2023-04-11 19:24 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-11

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0090.C103(X103)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304170012

Reproducibility: Every time Fixed Version: 2023-04-15

Test Type: ST Root cause: 需求变更

Description

【测试步骤】

1.打开微信

2、点击小窗的关闭按钮

3、进recent中点击其进程卡片

【预期结果】

3、进入微信的登录页面

【实际结果】

3、无法直接打开微信的登录页面

History

#1 - 2023-04-12 14:29 - CD FW-鲁凯峰

从Recent里面的正常卡片启动默认的小窗app,目前还没有处理,需要在startActivityFromRecent里面处理,或者由Launcher进行强制性的设置启动模式为freeform

#2 - 2023-04-13 10:55 - CD FW-鲁凯峰

- Category changed from 窗口定制 to CD-APP

- Assignee changed from CD FW-鲁凯峰 to CD APP-王宏

目前的修改方法更倾向于在Launcher中直接以warmStart的方式启动小窗

#3 - 2023-04-13 20:07 - CD APP-王宏

- Status changed from New to ASSIGNED

- % Done changed from 0 to 50

- Root cause set to 需求变更

■ Current conclusion

已提交

■ My analysis
recent中部分卡片需要以小窗形式启动

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/193630

#4 - 2023-04-14 13:58 - CD APP-王宏

- % Done changed from 50 to 70

■ Current conclusion

已提交

■ My analysis

本打算将recent中的卡片，桌面的shortcut,以及widget 部分按需求以小窗启动，但是widget部分是在三方应用内设置的点击事件，因此只修改了卡片

和shortcut部分

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/193630

#5 - 2023-04-14 17:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193630 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Start with small window in recentTC-RID: 0301-0205302IssueID: TS-R-BUG-117393Change-Id: Ibf97b5308895d412f9f4f27416943e7ac89f3836

#6 - 2023-04-14 17:21 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 70 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-15

#7 - 2023-04-17 11:06 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304170012

4.17

验证通过

#8 - 2023-04-17 11:06 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-04-11 19-23-59.mp4 6.78 MB 2023-04-11 CD TEST-方永红
